VTK: vtkLagrangianThreadedData Struct Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkLagrangianThreadedData Struct Reference

struct to hold a user data More...

`#include <vtkLagrangianThreadedData.h>`

Collaboration diagram for vtkLagrangianThreadedData:
[legend]

## Public Member Functions
| vtkLagrangianThreadedData ()
| ~vtkLagrangianThreadedData ()

## Public Attributes
vtkNew< vtkGenericCell > | GenericCell
vtkNew< vtkIdList > | IdList
vtkNew< vtkPolyData > | ParticlePathsOutput
int | LastDataSetIndex = -1
vtkIdType | LastCellId = -1
double | LastCellPosition [3]
std::vector< double > | LastWeights
vtkBilinearQuadIntersection * | BilinearQuadIntersection
vtkDataObject * | InteractionOutput
vtkInitialValueProblemSolver * | Integrator

## Detailed Description

struct to hold a user data

Struct to hold threaded data used by the Lagrangian Particle Tracker. Can be inherited and initialized in custom models.

Definition at line 24 of file vtkLagrangianThreadedData.h.

## Constructor & Destructor Documentation

## ◆ vtkLagrangianThreadedData()

vtkLagrangianThreadedData::vtkLagrangianThreadedData | ( |  | ) |
| inline

Definition at line 40 of file vtkLagrangianThreadedData.h.

## ◆ ~vtkLagrangianThreadedData()

vtkLagrangianThreadedData::~vtkLagrangianThreadedData | ( |  | ) |
| inline

Definition at line 46 of file vtkLagrangianThreadedData.h.

## Member Data Documentation

## ◆ GenericCell

vtkNew<vtkGenericCell> vtkLagrangianThreadedData::GenericCell

Definition at line 26 of file vtkLagrangianThreadedData.h.

## ◆ IdList

vtkNew<vtkIdList> vtkLagrangianThreadedData::IdList

Definition at line 27 of file vtkLagrangianThreadedData.h.

## ◆ ParticlePathsOutput

vtkNew<vtkPolyData> vtkLagrangianThreadedData::ParticlePathsOutput

Definition at line 28 of file vtkLagrangianThreadedData.h.

## ◆ LastDataSetIndex

int vtkLagrangianThreadedData::LastDataSetIndex = -1

Definition at line 31 of file vtkLagrangianThreadedData.h.

## ◆ LastCellId

vtkIdType vtkLagrangianThreadedData::LastCellId = -1

Definition at line 32 of file vtkLagrangianThreadedData.h.

## ◆ LastCellPosition

double vtkLagrangianThreadedData::LastCellPosition[3]

Definition at line 33 of file vtkLagrangianThreadedData.h.

## ◆ LastWeights

std::vector<double> vtkLagrangianThreadedData::LastWeights

Definition at line 34 of file vtkLagrangianThreadedData.h.

## ◆ BilinearQuadIntersection

vtkBilinearQuadIntersection* vtkLagrangianThreadedData::BilinearQuadIntersection

Definition at line 36 of file vtkLagrangianThreadedData.h.

## ◆ InteractionOutput

vtkDataObject* vtkLagrangianThreadedData::InteractionOutput

Definition at line 37 of file vtkLagrangianThreadedData.h.

## ◆ Integrator

vtkInitialValueProblemSolver* vtkLagrangianThreadedData::Integrator

Definition at line 38 of file vtkLagrangianThreadedData.h.

The documentation for this struct was generated from the following file:

- Filters/FlowPaths/vtkLagrangianThreadedData.h